package net.knarcraft.blacksmith.container;

import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.Recipe;
import org.jetbrains.annotations.NotNull;

import java.util.List;

/**
 * The result of a recipe's salvage
 *
 * @param recipe  <p>The selected recipe</p>
 * @param salvage <p>The resulting salvage</p>
 */
public record RecipeResult(@NotNull Recipe recipe, @NotNull List<ItemStack> salvage) {
}
