package net.knarcraft.blacksmith.property;

/**
 * The state of trying to find salvage for an item
 */
public enum SalvageState {

    /**
     * Found useful salvage that can be given to a player
     */
    FOUND_SALVAGE,

    /**
     * The item cannot be salvaged using the used method
     */
    INCORRECT_METHOD,

    /**
     * While the method was correct, no useful salvage was created
     */
    NO_SALVAGE,

}
